Bug 54483 - Error executing code for include callback.apm
Error executing code for include callback.apm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
current
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Web Development
Web Development
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-09 15:43 EDT by Jay Turner
Modified: 2015-01-07 18:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-16 17:42:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2001-10-09 15:43:02 EDT
Description of Problem:
Getting this error on app[23].rwc-colo starting on 10/8:

error executing code for include /var/www/apps/panes/login/callback.apm:
Can't locate object method "password_verify" via package "WebUser::new:
Creation of contact object failed: WebContact::fill: No match found using
query (SELECT * FROM web_contact WHERE login_uc=?) (JCLK)" at
/var/www/apps/panes/login/callback.apm line 36. <--> ; compiled to
SCALAR(0x97947f8) at /usr/lib/perl5/site_perl/5.005/Apache/ASP.pm line
3818. <--> , /usr/lib/perl5/site_perl/5.005/Apache/ASP.pm line 1550

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Randy J. Ray 2001-10-09 17:47:43 EDT
This error was detected and addressed (via change to
/var/www/apps/panes/login/callback.apm) yesterday. It should be wending its way
through QA already.
Comment 2 Jay Turner 2001-10-11 10:40:52 EDT
These were resulting from users that don't exist in the database attempting to
log into the site (best that I can tell) and we have not had this occur since
10/8.  In addition, when attempting to log in as a user who does not exist, I
get a message on the live site now stating that the user does not exist, so I
think  this is resolved.   Can someone confirm that changes were made to correct
this?
Comment 3 Jay Turner 2001-10-16 08:45:13 EDT
Actually, I will change that.  Just got another of these errors on 10/15/01.
Comment 4 Randy J. Ray 2001-10-16 17:42:42 EDT
I have no idea how this happened again. I have checked the QA box and all three
app servers (including app1), and all have the current version of
login/callback.apm, which fixes this (a test and an exit would prevent line 36
from even being reached in this case).
Comment 5 Tom Lancaster 2002-11-19 19:45:25 EST
Haven't seen this one in donkey's years - closing out on the assumption that
Randy's fix actually fixed it.

Note You need to log in before you can comment on or make changes to this bug.